## Usage

To use the Select component, you will need to import it from the react-select library:

```jsx
import React, { useState } from 'react';
import ReferenceSelect from './reference-select';

<ReferenceSelect
  options={[
    { value: 'ref1', label: 'Reference 1' },
    { value: 'ref2', label: 'Reference 2' },
    { value: 'ref3', label: 'Reference 3' },
  ]}
  value="ref1"
  onSelect={selectedOption => console.log(selectedOption)}
/>

```